Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class ColumnFamilyStore.ViewFragment

    java.lang.Object
      org.apache.cassandra.db.ColumnFamilyStore.ViewFragment

Enclosing class:
  ColumnFamilyStore

    public static class ColumnFamilyStore.ViewFragment

extends java.lang.Object

Field Summary
`java.lang.Iterable<Memtable>` | `memtables`
`java.util.List<SSTableReader>` | `sstables`

Constructor Summary
`ColumnFamilyStore.ViewFragment(java.util.List<SSTableReader> sstables, java.lang.Iterable<Memtable> memtables)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sstables

    public final java.util.List<SSTableReader> sstables

### memtables

    public final java.lang.Iterable<Memtable> memtables

Constructor Detail

### ColumnFamilyStore.ViewFragment

    public ColumnFamilyStore.ViewFragment(java.util.List<SSTableReader> sstables,
                                          java.lang.Iterable<Memtable> memtables)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation